Skip to main content
GET
/
api
/
v3
/
admin
/
stock_locations
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const stockLocation = await client.stockLocations.get('sloc_UkLWZg9DAJ')
{
  "id": "sloc_UkLWZg9DAJ",
  "state_abbr": "STATE_ABBR_26",
  "name": "Brooklyn warehouse",
  "address1": "1600 Pennsylvania Ave NW",
  "city": "Washington",
  "zipcode": "20500",
  "country_iso": "US",
  "country_name": "United States of America",
  "state_text": "STATE_ABBR_26",
  "admin_name": null,
  "address2": null,
  "state_name": null,
  "phone": "(202) 456-1111",
  "company": null,
  "active": true,
  "default": false,
  "backorderable_default": true,
  "propagate_all_variants": false,
  "kind": "warehouse",
  "pickup_enabled": false,
  "pickup_stock_policy": "local",
  "pickup_ready_in_minutes": null,
  "pickup_instructions": null,
  "created_at": "2026-05-17T22:58:22.779Z",
  "updated_at": "2026-05-17T22:58:22.779Z"
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Stock location ID

Query Parameters

fields
string

Comma-separated list of fields to include. id is always included.

Response

stock location found

id
string
required
state_abbr
string | null
required
name
string
required
address1
string | null
required
city
string | null
required
zipcode
string | null
required
country_iso
string | null
required
country_name
string | null
required
state_text
string | null
required
admin_name
string | null
required
address2
string | null
required
state_name
string | null
required
phone
string | null
required
company
string | null
required
active
boolean
required
default
boolean
required
backorderable_default
boolean
required
propagate_all_variants
boolean
required
kind
string
required
pickup_enabled
boolean
required
pickup_stock_policy
string
required
pickup_ready_in_minutes
number | null
required
pickup_instructions
string | null
required
created_at
string
required
updated_at
string
required